-- SlashCommands --
local SlashCommands = FlexBar2.SlashCommands;
local function SlashCommand_Tooltip(Params)
	local ButtonTable = FlexBar2:ToButtonTable(Params.button);
	local ShowTooltip = Params.tooltip;
	local ButtonList = FlexBar2.Buttons;
	-- Force a state reset after applying the new settings to make sure the button actualy gets it
	if(ShowTooltip == "true") then
		FlexBar2:ApplySetting(ButtonTable, "ShowTooltip", true);
	else
		FlexBar2:ApplySetting(ButtonTable, "ShowTooltip", false);
		
	end
	-- Loop through given button range
	for _, ButtonName in ipairs(ButtonTable) do
		if(ShowTooltip == "true") then
			ButtonList[ButtonName]:EnableTooltip();
		else
			ButtonList[ButtonName]:DisableTooltip();
		end
	end
end

-- Localize this neat verify function for faster access
local VerifyExistance = FlexBar2.SlashCommands.VerifyExistance;
-- AddCommand format :AddCommand(Command, Function, Group, Help)
-- AddParam format :AddParam(Command, Param, Required, AllowedValues, DefaultValue, VerifyFunc) 
-- everything here should be self explainative knowing the syntax
SlashCommands:AddCommand("settooltip", SlashCommand_Tooltip, "tooltip", "/FlexBar2 settooltip tooltip=<true/false>");
SlashCommands:SetAlias("settooltip", "tooltip");
	SlashCommands:AddParam("settooltip", "tooltip", true, {"true", "false"}, nil, nil);
